import request from '@/utils/request'
export function getChannelList(data) {
    return request({
      url: '/admin/system/channel/list',
      method: 'post',
      data
    })
}

export function add(data) {
  return request({
    url: '/admin/system/channel/save',
    method: 'post',
    data
  })
}

export function edit(data) {
  return request({
    url: '/admin/system/channel/update',
    method: 'post',
    data
  })
}

export function updateStatus(data) {
  return request({
    url: '/admin/system/channel/updateStatus',
    method: 'post',
    data
  })
}

export function delDept(data) {
  return request({
    url: '/admin/system/channel/delBusinessDept',
    method: 'post',
    data
  })
}


export function getDepts(data) {
  return request({
    url: '/admin/rbac/dept/listAll',
    method: 'get',
    data
  })
}


export function saveDepts(data) {
  return request({
    url: '/admin/system/channel/saveBusinessDept',
    method: 'post',
    data
  })
}